# RevampDeployer

RevampDeployer - это инструмент для управления и автоматизации процесса развёртывания приложений на удалённых серверах.

## Установка

Вы можете установить RevampDeployer с помощью pip:

```bash
pip install revampdeployer
```

## Использование

После установки RevampDeployer вы можете использовать его из командной строки для развёртывания вашего приложения на удалённых серверах.

Пример использования:

```bash
revampdeployer --config config.py
```

Здесь `config.py` - это файл конфигурации, содержащий параметры подключения к серверам и настройки развёртывания. Пожалуйста, убедитесь, что ваш файл конфигурации имеет правильный формат и содержание.

## Файл конфигурации (config.py)

Пример файла конфигурации `config.py`:

```python
servers = [
    "192.168.1.1@root:password",
    "192.168.1.2@admin:123456",
    # Другие сервера...
]

scripts_dir = "scripts/"
input_dir = "input/"
output_dir = "output/"
scripts_dir_deploy = "deploy_scripts/"
```

Этот файл должен содержать список серверов, директории скриптов, входной и выходной каталоги и т. д. Убедитесь, что все параметры корректны и соответствуют вашему окружению.

## Лицензия

Этот проект лицензирован в соответствии с лицензией MIT. См. файл [LICENSE](LICENSE) для получения дополнительной информации.